Create access list
curl --request POST \
--url https://api-v2.requesty.ai/v1/manage/access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Models",
"auto_approve": false,
"chat": [
"openai/gpt-4o",
"anthropic/claude-sonnet-4-20250514"
],
"embedding": [
"<string>"
],
"image": [
"<string>"
],
"transcription": [
"<string>"
],
"speech": [
"<string>"
]
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/access-list"
payload = {
"name": "Production Models",
"auto_approve": False,
"chat": ["openai/gpt-4o", "anthropic/claude-sonnet-4-20250514"],
"embedding": ["<string>"],
"image": ["<string>"],
"transcription": ["<string>"],
"speech": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production Models',
auto_approve: false,
chat: ['openai/gpt-4o', 'anthropic/claude-sonnet-4-20250514'],
embedding: ['<string>'],
image: ['<string>'],
transcription: ['<string>'],
speech: ['<string>']
})
};
fetch('https://api-v2.requesty.ai/v1/manage/access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Create Access List
Create a new access list in the organization. An access list defines which models are allowed for API keys or groups it is attached to. Requires an API key with write manage permissions.
POST
/
v1
/
manage
/
access-list
Create access list
a new access list in the organization. An access list defines which models are allowed for API keys or groups it is attached to. Specify models per modality:
chat, embedding, image, transcription, and speech.Authorizations
API key for authentication
Body
application/json
Name for the access list
Example:
"Production Models"
Whether new models matching the list patterns are automatically approved
Chat/completion model identifiers to allow
Example:
[
"openai/gpt-4o",
"anthropic/claude-sonnet-4-20250514"
]
Embedding model identifiers to allow
Image generation model identifiers to allow
Transcription model identifiers to allow
Speech model identifiers to allow
Response
Access list created successfully
The ID of the newly created access list
Last modified on July 3, 2026
Was this page helpful?
⌘I